# GenericDocumentExtension extension

Extension function to GenericDocument to make it easier to access fields.

on
  - GenericDocument

## Methods

childByDocumentType(String name) → GenericDocument?
  Returns a sub-document given its document type name. Returns null if not found.
fieldByTypeName(String name) → Field?
  Returns a field given its local or common type name. Returns null if not found.
fieldsByTypeName(String name) → List<Field>
  Returns all fields given a local or common field type name.